import HcImg from './hc-img/index.vue'
import HcIcon from './hc-icon/index.vue'
import HcCard from './hc-card/index.vue'
import HcCardItem from './hc-card/item.vue'
import HcTable from './hc-table/index.vue'
import HcTable1 from './hc-table/index1.vue'
import HcPages from './hc-page/index.vue'
import HcDrawer from './hc-drawer/index.vue'
import HcDialog from './hc-dialog/index.vue'
import HcUploads from './hc-uploads/index.vue'
import HcFormItemUpload from './hc-uploads/formItem.vue'
import HcCounter from './hc-counter/index.vue'
import HcTooltip from './hc-tooltip/index.vue'
import HcSmsAuth from './hc-sms-auth/index.vue'
import HcMenuSimple from './hc-menu-simple/index.vue'
import HcDatePicker from './hc-date-picker/index.vue'
import HcNewSwitch from './hc-new-switch/index.vue'
import HcDragModal from './hc-drag-modal/index.vue'
import HcContextMenu from './hc-context-menu/index.vue'
import HcTabsSimple from './hc-tabs-simple/index.vue'
import HcStatus from './hc-status/index.vue'
import HcPageHeader from './hc-page-header/index.vue'
import HcNoData from './hc-no-data/index.vue'
import HcAutoComplete from './hc-auto-complete/index.vue'
import HcPdf from './hc-pdf/index.vue'
import HcReportModal from './hc-report-modal/index.vue'
import HcReportExperts from './hc-report-experts/index.vue'
import HcTasksUser from './hc-tasks-user/index.vue'
import HcLoading from './hc-loading/index.vue'
import HcOnlineOffice from './hc-online-office/index.vue'
import HcUploadFile from './hc-upload-file/index.vue'

//注册全局组件
export const setupComponents = (App) => {
    App.component('HcImg', HcImg)
    App.component('HcIcon', HcIcon)
    App.component('HcCard', HcCard)
    App.component('HcCardItem', HcCardItem)
    App.component('HcTable', HcTable)
    App.component('HcTable1', HcTable1)
    App.component('HcPages', HcPages)
    App.component('HcDrawer', HcDrawer)
    App.component('HcDialog', HcDialog)
    App.component('HcUploads', HcUploads)
    App.component('HcFormItemUpload', HcFormItemUpload)
    App.component('HcCounter', HcCounter)
    App.component('HcTooltip', HcTooltip)
    App.component('HcSmsAuth', HcSmsAuth)
    App.component('HcMenuSimple', HcMenuSimple)
    App.component('HcDatePicker', HcDatePicker)
    App.component('HcNewSwitch', HcNewSwitch)
    App.component('HcDragModal', HcDragModal)
    App.component('HcContextMenu', HcContextMenu)
    App.component('HcTabsSimple', HcTabsSimple)
    App.component('HcStatus', HcStatus)
    App.component('HcPageHeader', HcPageHeader)
    App.component('HcNoData', HcNoData)
    App.component('hcAutoComplete', HcAutoComplete)
    App.component('HcPdf', HcPdf)
    App.component('HcReportModal', HcReportModal)
    App.component('HcReportExperts', HcReportExperts)
    App.component('HcTasksUser', HcTasksUser)
    App.component('HcLoading', HcLoading)
    App.component('HcOnlineOffice', HcOnlineOffice)
    App.component('HcUploadFile', HcUploadFile)
}
